Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

running: Kubuntu 11.04x64

Both programs quit right after being launched and I get the following errors when running each applications from the terminal:

OpenShot:

--------------------------------
   OpenShot (version 1.3.0)
--------------------------------
Process no longer exists: 5485.  Creating new pid lock file.
state saved
The program 'openshot' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 25 error_code 8 request_code 132 minor_code 19)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

QBitTorrent:

qbittorrent: symbol lookup error: qbittorrent: undefined symbol: _ZN10libtorrent7sessionC1ERKNS_11fingerprintEii

EDIT (7.13.11):

I removed qbittorent from my computer:

sudo aptitude purge qbittorrent

I removed the GetDeb repository from my sources.list file (actually just commented them out), updated my database and reinstalled qbittorrent:

sudo aptitude install qbittorrent

Don't know why but this application seems to launch properly, with the exact same versions of QBitTorrent (v2.8.2-0) and LibTorrent-RasterBar6 (v0.15.6) as before.

Still have the problem with OpenShot Video Editor, so could really use help with that if anyone has any ideas as to what the problem is. Thank You.

share|improve this question
    
I would remove your answer and add it as an edit to your question. Also a solution to the getdeb repository is to disable the repo temporarily downgrade the relevant packages and lock them askubuntu.com/questions/18654/… then you can re-enable the getdeb repo and report the problem to openshot and qbittorrent I presume they already know but it doesn't hurt –  Allan Jul 10 '11 at 18:48
add comment

1 Answer

Update qbittorrent from PPA. or downgrade, if tou use ppa. it's all because of libtorrent-rasterbar6 update. downgrade this package, or upgrade qbittorrent from ppa

The kind of error you experience at qbittorrent usually happens when qbittorrent is built against one version of libtorrent and executed against another. Could you please check you system to make sure you don't have several versions installed ? like for example one in /usr/lib and one in /usr/local/lib?

share|improve this answer
    
I googled my problem w/ qbittorent before I posted my question here and saw others having similar problems that was solved by the method you mentioned but I had no such luck... but I did manage to get the application working by removing the repo for GetDeb... not an ideal solution as it is I'd like to keep GetDeb so if you or anyone else has another ideas I'd very much appreciate the help. Thank You. –  13east Jul 10 '11 at 17:01
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.